org.opencv.xfeatures2d

## Class PCTSignatures

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.xfeatures2d.PCTSignatures

-     public class PCTSignatures
      extends Algorithm

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GAUSSIAN`
    `static int` | `HEURISTIC`
    `static int` | `L_INFINITY`
    `static int` | `L0_25`
    `static int` | `L0_5`
    `static int` | `L1`
    `static int` | `L2`
    `static int` | `L2SQUARED`
    `static int` | `L5`
    `static int` | `MINUS`
    `static int` | `NORMAL`
    `static int` | `REGULAR`
    `static int` | `UNIFORM`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PCTSignatures(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PCTSignatures` | `__fromPtr__(long addr)`
    `void` | `computeSignature(Mat image, Mat signature)`
    `void` | `computeSignatures(java.util.List<Mat> images, java.util.List<Mat> signatures)`
    `static PCTSignatures` | `create()`
    `static PCTSignatures` | `create(int initSampleCount)`
    `static PCTSignatures` | `create(int initSampleCount, int initSeedCount)`
    `static PCTSignatures` | `create(int initSampleCount, int initSeedCount, int pointDistribution)`
    `static PCTSignatures` | `create(MatOfPoint2f initSamplingPoints, int initSeedCount)`
    `static PCTSignatures` | `create(MatOfPoint2f initSamplingPoints, MatOfInt initClusterSeedIndexes)`
    `static void` | `drawSignature(Mat source, Mat signature, Mat result)`
    `static void` | `drawSignature(Mat source, Mat signature, Mat result, float radiusToShorterSideRatio)`
    `static void` | `drawSignature(Mat source, Mat signature, Mat result, float radiusToShorterSideRatio, int borderThickness)`
    `protected void` | `finalize()`
    `static void` | `generateInitPoints(MatOfPoint2f initPoints, int count, int pointDistribution)`
    `int` | `getClusterMinSize()`
    `int` | `getDistanceFunction()`
    `float` | `getDropThreshold()`
    `int` | `getGrayscaleBits()`
    `int` | `getInitSeedCount()`
    `MatOfInt` | `getInitSeedIndexes()`
    `int` | `getIterationCount()`
    `float` | `getJoiningDistance()`
    `int` | `getMaxClustersCount()`
    `int` | `getSampleCount()`
    `MatOfPoint2f` | `getSamplingPoints()`
    `float` | `getWeightA()`
    `float` | `getWeightB()`
    `float` | `getWeightContrast()`
    `float` | `getWeightEntropy()`
    `float` | `getWeightL()`
    `float` | `getWeightX()`
    `float` | `getWeightY()`
    `int` | `getWindowRadius()`
    `void` | `setClusterMinSize(int clusterMinSize)`
    `void` | `setDistanceFunction(int distanceFunction)`
    `void` | `setDropThreshold(float dropThreshold)`
    `void` | `setGrayscaleBits(int grayscaleBits)`
    `void` | `setInitSeedIndexes(MatOfInt initSeedIndexes)`
    `void` | `setIterationCount(int iterationCount)`
    `void` | `setJoiningDistance(float joiningDistance)`
    `void` | `setMaxClustersCount(int maxClustersCount)`
    `void` | `setSamplingPoints(MatOfPoint2f samplingPoints)`
    `void` | `setTranslation(int idx, float value)`
    `void` | `setTranslations(MatOfFloat translations)`
    `void` | `setWeight(int idx, float value)`
    `void` | `setWeightA(float weight)`
    `void` | `setWeightB(float weight)`
    `void` | `setWeightContrast(float weight)`
    `void` | `setWeightEntropy(float weight)`
    `void` | `setWeightL(float weight)`
    `void` | `setWeights(MatOfFloat weights)`
    `void` | `setWeightX(float weight)`
    `void` | `setWeightY(float weight)`
    `void` | `setWindowRadius(int radius)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### L0_25

          public static final int L0_25

      See Also:
        Constant Field Values

    - #### L0_5

          public static final int L0_5

      See Also:
        Constant Field Values

    - #### L1

          public static final int L1

      See Also:
        Constant Field Values

    - #### L2

          public static final int L2

      See Also:
        Constant Field Values

    - #### L2SQUARED

          public static final int L2SQUARED

      See Also:
        Constant Field Values

    - #### L5

          public static final int L5

      See Also:
        Constant Field Values

    - #### L_INFINITY

          public static final int L_INFINITY

      See Also:
        Constant Field Values

    - #### UNIFORM

          public static final int UNIFORM

      See Also:
        Constant Field Values

    - #### REGULAR

          public static final int REGULAR

      See Also:
        Constant Field Values

    - #### NORMAL

          public static final int NORMAL

      See Also:
        Constant Field Values

    - #### MINUS

          public static final int MINUS

      See Also:
        Constant Field Values

    - #### GAUSSIAN

          public static final int GAUSSIAN

      See Also:
        Constant Field Values

    - #### HEURISTIC

          public static final int HEURISTIC

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PCTSignatures

          protected PCTSignatures(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static PCTSignatures __fromPtr__(long addr)

    - #### create

          public static PCTSignatures create(int initSampleCount,
                                             int initSeedCount,
                                             int pointDistribution)

    - #### create

          public static PCTSignatures create(int initSampleCount,
                                             int initSeedCount)

    - #### create

          public static PCTSignatures create(int initSampleCount)

    - #### create

          public static PCTSignatures create()

    - #### create

          public static PCTSignatures create(MatOfPoint2f initSamplingPoints,
                                             int initSeedCount)

    - #### create

          public static PCTSignatures create(MatOfPoint2f initSamplingPoints,
                                             MatOfInt initClusterSeedIndexes)

    - #### getDropThreshold

          public float getDropThreshold()

    - #### getJoiningDistance

          public float getJoiningDistance()

    - #### getWeightA

          public float getWeightA()

    - #### getWeightB

          public float getWeightB()

    - #### getWeightContrast

          public float getWeightContrast()

    - #### getWeightEntropy

          public float getWeightEntropy()

    - #### getWeightL

          public float getWeightL()

    - #### getWeightX

          public float getWeightX()

    - #### getWeightY

          public float getWeightY()

    - #### getClusterMinSize

          public int getClusterMinSize()

    - #### getDistanceFunction

          public int getDistanceFunction()

    - #### getGrayscaleBits

          public int getGrayscaleBits()

    - #### getInitSeedCount

          public int getInitSeedCount()

    - #### getIterationCount

          public int getIterationCount()

    - #### getMaxClustersCount

          public int getMaxClustersCount()

    - #### getSampleCount

          public int getSampleCount()

    - #### getWindowRadius

          public int getWindowRadius()

    - #### getSamplingPoints

          public MatOfPoint2f getSamplingPoints()

    - #### getInitSeedIndexes

          public MatOfInt getInitSeedIndexes()

    - #### computeSignature

          public void computeSignature(Mat image,
                                       Mat signature)

    - #### computeSignatures

          public void computeSignatures(java.util.List<Mat> images,
                                        java.util.List<Mat> signatures)

    - #### drawSignature

          public static void drawSignature(Mat source,
                                           Mat signature,
                                           Mat result,
                                           float radiusToShorterSideRatio,
                                           int borderThickness)

    - #### drawSignature

          public static void drawSignature(Mat source,
                                           Mat signature,
                                           Mat result,
                                           float radiusToShorterSideRatio)

    - #### drawSignature

          public static void drawSignature(Mat source,
                                           Mat signature,
                                           Mat result)

    - #### generateInitPoints

          public static void generateInitPoints(MatOfPoint2f initPoints,
                                                int count,
                                                int pointDistribution)

    - #### setClusterMinSize

          public void setClusterMinSize(int clusterMinSize)

    - #### setDistanceFunction

          public void setDistanceFunction(int distanceFunction)

    - #### setDropThreshold

          public void setDropThreshold(float dropThreshold)

    - #### setGrayscaleBits

          public void setGrayscaleBits(int grayscaleBits)

    - #### setInitSeedIndexes

          public void setInitSeedIndexes(MatOfInt initSeedIndexes)

    - #### setIterationCount

          public void setIterationCount(int iterationCount)

    - #### setJoiningDistance

          public void setJoiningDistance(float joiningDistance)

    - #### setMaxClustersCount

          public void setMaxClustersCount(int maxClustersCount)

    - #### setSamplingPoints

          public void setSamplingPoints(MatOfPoint2f samplingPoints)

    - #### setTranslation

          public void setTranslation(int idx,
                                     float value)

    - #### setTranslations

          public void setTranslations(MatOfFloat translations)

    - #### setWeight

          public void setWeight(int idx,
                                float value)

    - #### setWeightA

          public void setWeightA(float weight)

    - #### setWeightB

          public void setWeightB(float weight)

    - #### setWeightContrast

          public void setWeightContrast(float weight)

    - #### setWeightEntropy

          public void setWeightEntropy(float weight)

    - #### setWeightL

          public void setWeightL(float weight)

    - #### setWeightX

          public void setWeightX(float weight)

    - #### setWeightY

          public void setWeightY(float weight)

    - #### setWeights

          public void setWeights(MatOfFloat weights)

    - #### setWindowRadius

          public void setWindowRadius(int radius)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Wed Aug 29 2018 10:29:57 UTC / OpenCV 3.4.3